SimplePally = {};
SimplePally.fully_loaded = false;
SimplePally.actionindex = 1;
SimplePally.sinceLastUpdate=1;
SimplePally.time = 0;
SimplePally.HOLYPWR = 0;



SimplePally.default_options = {

	-- main frame position
	frameRef = "CENTER",
	frameX = 0,
	frameY = 0,
	hide = false,

	-- sizing
	frameW = 240,
	frameH = 50,
};


function SimplePally.OnReady()

	-- set up default options
	_G.SimplePallyPrefs = _G.SimplePallyPrefs or {};

	for k,v in pairs(SimplePally.default_options) do
		
		--this if seems to save the values if they dont exist?
		if (not _G.SimplePallyPrefs[k]) then
			_G.SimplePallyPrefs[k] = v;
		end
	end

	SimplePally.CreateUIFrame();
end

function SimplePally.OnSaving()

	if (SimplePally.UIFrame) then
		local point, relativeTo, relativePoint, xOfs, yOfs = SimplePally.UIFrame:GetPoint()
		_G.SimplePallyPrefs.frameRef = relativePoint;
		_G.SimplePallyPrefs.frameX = xOfs;
		_G.SimplePallyPrefs.frameY = yOfs;
	end
end

function SimplePally.OnUpdate()



	if (not SimplePally.fully_loaded) then
		return;
	end

	if (SimplePallyPrefs.hide) then 
		return;
	end
	

    SimplePally.time = GetTime();
	SimplePally.UpdateFrame();
	
	if ( math.abs(SimplePally.sinceLastUpdate - SimplePally.time) > .1 ) then -- in seconds
		-- do stuff here
		SimplePally.DoButtonMagic()
		SimplePally.sinceLastUpdate = SimplePally.time;
	end

	
end

function SimplePally.OnEvent(frame, event, ...)

	if (event == 'ADDON_LOADED') then
		local name = ...;
		if name == 'SimplePally' then
			SimplePally.OnReady();
		end
		return;
	end

	if (event == 'PLAYER_LOGIN') then

		SimplePally.fully_loaded = true;
		return;
	end

	if (event == 'PLAYER_LOGOUT') then
		SimplePally.OnSaving();
		return;
	end
end

function SimplePally.CreateUIFrame()
	local t = null;  --used for creating textures
	
	-- create the UI frame
	SimplePally.UIFrame = CreateFrame("Frame",nil,UIParent);
	SimplePally.UIFrame:SetFrameStrata("BACKGROUND")
	SimplePally.UIFrame:SetWidth(_G.SimplePallyPrefs.frameW);
	SimplePally.UIFrame:SetHeight(_G.SimplePallyPrefs.frameH);
	t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
	t:SetTexture("Interface\\Buttons\\WHITE8X8.blp")
	t:SetAllPoints(SimplePally.UIFrame);
	t:SetColorTexture(.1, .1, .1, .2);
	SimplePally.UIFrame.texture = t;
	


	-- create the UI frame for button 1
	
	
	
	

	--SimplePally.UIFrame.texture:SetTexture(0, 0, 0);
	
	--set positional references
	SimplePally.UIFrame.texture:SetAllPoints(SimplePally.UIFrame);

	

	
	
	-- position it
	SimplePally.UIFrame:SetPoint(_G.SimplePallyPrefs.frameRef, _G.SimplePallyPrefs.frameX, _G.SimplePallyPrefs.frameY);

	-- make it draggable
	SimplePally.UIFrame:SetMovable(true);
	SimplePally.UIFrame:EnableMouse(true);

	-- create a button that covers the entire addon
	SimplePally.Cover = CreateFrame("Button", nil, SimplePally.UIFrame);
	SimplePally.Cover:SetFrameLevel(100);
	SimplePally.Cover:SetPoint("TOPLEFT", 0, 0);
	SimplePally.Cover:SetWidth(_G.SimplePallyPrefs.frameW);
	SimplePally.Cover:SetHeight(_G.SimplePallyPrefs.frameH);
	SimplePally.Cover:EnableMouse(true);
	SimplePally.Cover:RegisterForClicks("AnyUp");
	SimplePally.Cover:RegisterForDrag("LeftButton");
	SimplePally.Cover:SetScript("OnDragStart", SimplePally.OnDragStart);
	SimplePally.Cover:SetScript("OnDragStop", SimplePally.OnDragStop);
	SimplePally.Cover:SetScript("OnClick", SimplePally.OnClick);

	-- add a main label - just so we can show something
	SimplePally.lbltitle = SimplePally.Cover:CreateFontString(nil, "OVERLAY");
	SimplePally.lbltitle:SetPoint("BOTTOM", SimplePally.UIFrame, "BOTTOM", 0, 0);
	SimplePally.lbltitle:SetJustifyH("LEFT");
	SimplePally.lbltitle:SetFont([[Fonts\FRIZQT__.TTF]], 8, "OUTLINE");

	SimplePally.lbltitle:SetTextColor(1,1,1,1);
	SimplePally.SetFontSize(SimplePally.lbltitle, 8);
	SimplePally.lbltitle:SetText("Simple Pally by Baztard");
		
		
	-- HOLY LABEL
	SimplePally.lblholy = SimplePally.Cover:CreateFontString(nil, "OVERLAY");
	SimplePally.lblholy:SetPoint("TOPRIGHT", SimplePally.UIFrame, "TOPRIGHT", 40,0);
	SimplePally.lblholy:SetJustifyH("RIGHT");
	SimplePally.lblholy:SetFont([[Fonts\FRIZQT__.TTF]], 30, "OUTLINE");
	SimplePally.lblholy:SetText(" ");
	SimplePally.lblholy:SetTextColor(1,1,0,1);
	SimplePally.SetFontSize(SimplePally.lblholy, 30);
	SimplePally.lblholy:SetText("0");		
		
		
		


		
		
		local font = null;
		
		
		
		
		
		-- BUTTON 1
		--SimplePally.btn1box = CreateFrame("Frame",nil,UIParent);
		--SimplePally.btn1box:SetFrameStrata("BACKGROUND")
		--SimplePally.btn1box:SetWidth(40);
		--SimplePally.btn1box:SetHeight(40);		
		--SimplePally.btn1box:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 10, -80);
		--SimplePally.btn1box:SetPoint(_G.SimplePallyPrefs.frameRef, 0, 0);
		
		SimplePally.btn1 = CreateFrame("Button", "myButton",   SimplePally.UIFrame, "SecureActionButtonTemplate");
		
		
		local tmpfontsize = 18;
		
		
		SimplePally.btn1:SetAttribute("type", "action");
		SimplePally.btn1:SetAttribute("action", 1);
		SimplePally.btn1:SetPoint("TOPLEFT",  SimplePally.UIFrame, "TOPLEFT", 0, 0);
		SimplePally.btn1:SetFrameLevel(128);
		SimplePally.btn1:SetWidth(40);
		SimplePally.btn1:SetHeight(40);
		SimplePally.btn1:SetText("CS");
		SimplePally.btn1:SetNormalFontObject("DestinyFontLarge");
		font = SimplePally.btn1:GetNormalFontObject();
		font:SetFont([[Fonts\FRIZQT__.TTF]], tmpfontsize, "DestinyFontLarge");
		font:SetTextColor(0, 0, 0, 1.0);	
		SimplePally.btn1:SetNormalFontObject(font);	
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(1,1, 1, 1);	
		t:SetAllPoints(SimplePally.btn1);
		SimplePally.btn1:SetNormalTexture(t);
	
		-- BUTTON 2
		SimplePally.btn2 = CreateFrame("Button", "myButton",  SimplePally.UIFrame, "SecureActionButtonTemplate");
		SimplePally.btn2:SetAttribute("type", "action");
		SimplePally.btn2:SetAttribute("action", 2);
		SimplePally.btn2:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 40,0);
		SimplePally.btn2:SetFrameLevel(128);
		SimplePally.btn2:SetWidth(40);
		SimplePally.btn2:SetHeight(40);
		SimplePally.btn2:SetText("BOJ");
		SimplePally.btn2:SetNormalFontObject("DestinyFontLarge");
		font = SimplePally.btn2:GetNormalFontObject();
		font:SetFont([[Fonts\FRIZQT__.TTF]], tmpfontsize, "DestinyFontLarge");
		font:SetTextColor(0, 0, 0, 1.0);	
		SimplePally.btn2:SetNormalFontObject(font);	
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(1,1, 1, 1);	
		t:SetAllPoints(SimplePally.btn2);
		SimplePally.btn2:SetNormalTexture(t);
 
		-- BUTTON 3
		SimplePally.btn3 = CreateFrame("Button", "myButton",  SimplePally.UIFrame, "SecureActionButtonTemplate");
		SimplePally.btn3:SetAttribute("type", "action");
		SimplePally.btn3:SetAttribute("action", 3);
		SimplePally.btn3:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 80, 0);
		SimplePally.btn3:SetFrameLevel(128);
		SimplePally.btn3:SetWidth(40);
		SimplePally.btn3:SetHeight(40);
		SimplePally.btn3:SetText("TV");
		SimplePally.btn3:SetNormalFontObject("DestinyFontLarge");
		font = SimplePally.btn3:GetNormalFontObject();
		font:SetFont([[Fonts\FRIZQT__.TTF]], tmpfontsize, "DestinyFontLarge");
		font:SetTextColor(0, 0, 0, 1.0);	
		SimplePally.btn3:SetNormalFontObject(font);	
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(1,1, 1, 1);	
		t:SetAllPoints(SimplePally.btn3);
		SimplePally.btn3:SetNormalTexture(t);		 
		


		-- BUTTON 4
		SimplePally.btn4 = CreateFrame("Button", "myButton",  SimplePally.UIFrame, "SecureActionButtonTemplate");
		SimplePally.btn4:SetAttribute("type", "action");
		SimplePally.btn4:SetAttribute("action", 4);
		SimplePally.btn4:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 120, 0);
		SimplePally.btn4:SetFrameLevel(128);
		SimplePally.btn4:SetWidth(40);
		SimplePally.btn4:SetHeight(40);
		SimplePally.btn4:SetText("JUD");
		SimplePally.btn4:SetNormalFontObject("DestinyFontLarge");
		font = SimplePally.btn4:GetNormalFontObject();
		font:SetFont([[Fonts\FRIZQT__.TTF]], tmpfontsize, "DestinyFontLarge");
		font:SetTextColor(0, 0, 0, 1.0);	
		SimplePally.btn4:SetNormalFontObject(font);	
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(1,1, 1, 1);	
		t:SetAllPoints(SimplePally.btn4);
		SimplePally.btn4:SetNormalTexture(t);	
		
		-- BUTTON 5
		SimplePally.btn5 = CreateFrame("Button", "myButton",  SimplePally.UIFrame, "SecureActionButtonTemplate");
		SimplePally.btn5:SetAttribute("type", "action");
		SimplePally.btn5:SetAttribute("action", 6);
		SimplePally.btn5:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 160, 0);
		SimplePally.btn5:SetFrameLevel(128);
		SimplePally.btn5:SetWidth(40);
		SimplePally.btn5:SetHeight(40);
		SimplePally.btn5:SetText("AW");
		SimplePally.btn5:SetNormalFontObject("DestinyFontLarge");
		font = SimplePally.btn5:GetNormalFontObject();
		font:SetFont([[Fonts\FRIZQT__.TTF]],tmpfontsize, "DestinyFontLarge");
		font:SetTextColor(0, 0, 0, 1.0);	
		SimplePally.btn5:SetNormalFontObject(font);	
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(1,1, 1, 1);	
		t:SetAllPoints(SimplePally.btn5);
		SimplePally.btn5:SetNormalTexture(t);



		-- BUTTON 6
		SimplePally.btn6 = CreateFrame("Button", "myButton",  SimplePally.UIFrame, "SecureActionButtonTemplate");
		SimplePally.btn6:SetAttribute("type", "action");
		SimplePally.btn6:SetAttribute("action", 5);
		SimplePally.btn6:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 200, 0);
		SimplePally.btn6:SetFrameLevel(128);
		SimplePally.btn6:SetWidth(40);
		SimplePally.btn6:SetHeight(40);
		SimplePally.btn6:SetText("INQ");
		SimplePally.btn6:SetNormalFontObject("DestinyFontLarge");
		font = SimplePally.btn6:GetNormalFontObject();
		font:SetFont([[Fonts\FRIZQT__.TTF]], tmpfontsize, "DestinyFontLarge");
		font:SetTextColor(0, 0, 0, 1.0);	
		SimplePally.btn6:SetNormalFontObject(font);	
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(1,1, 1, 1);	
		t:SetAllPoints(SimplePally.btn6);
		SimplePally.btn6:SetNormalTexture(t);


		
		
		
		
		
		
end

--function SimplePally.btn.OnClick(self, aButton)
--	if (aButton == "RightButton") then
--		print("do stuff!");
--		 PlaySoundFile("Sound\\Character\\Gnome\\GnomeMaleChooChoo01.wav");
--		--ActionButtonDown(1);
--	end
--end





function SimplePally.SetFontSize(string, size)

	local Font, Height, Flags = string:GetFont()
	if (not (Height == size)) then
		string:SetFont(Font, size, Flags)
	end
end

function SimplePally.OnDragStart(frame)
	SimplePally.UIFrame:StartMoving();
	SimplePally.UIFrame.isMoving = true;
	
	GameTooltip:Hide()
end

function SimplePally.OnDragStop(frame)
	SimplePally.UIFrame:StopMovingOrSizing();
	SimplePally.UIFrame.isMoving = false;
end


-- PlaySoundFile("Sound\\Character\\Gnome\\GnomeMaleChooChoo01.wav")


function SimplePally.OnClick(self, aButton)
	if (aButton == "RightButton") then
		print("test click!");
		--ActionButtonDown(1);
	end
end

function SimplePally.UpdateFrame()
	-- update the main frame state here
	SimplePally.HOLYPWR = UnitPower("player",9);
	SimplePally.lblholy:SetText(SimplePally.HOLYPWR);	

end

function SimplePally.DoButtonMagic()
	if InCombatLockdown() then
		SimplePally.UIFrame:SetAlpha(1);
	else
		SimplePally.UIFrame:SetAlpha(0.1);
	end
	
	

	if (SimplePally.HOLYPWR == nil) then
		--variable is not set yet skip routine
		print("variable not set");
		return true;
	end


	local t = null;
	--rotation debug incrementer
	SimplePally.actionindex = SimplePally.actionindex + 1;
	if ( SimplePally.actionindex > 6) then
		SimplePally.actionindex = 1;
	end
	
	
	
	--the magic
	local CScd = GetSpellCooldown("Crusader Strike");
	local BOJcd = GetSpellCooldown("Blade of Justice");
	local TVcd = GetSpellCooldown("Templar's Verdict");
	local JUDcd = GetSpellCooldown("Judgment");
	local INQcd = GetSpellCooldown("Inquisition");
	local INQbuff = false;
	local AWcd = GetSpellCooldown("Avenging Wrath")
	local AWbuff = false;
	
	--check for Inquisition
	for i=1,40 
		do local B=UnitBuff("player",i); 
		--print(B);
		if B then 
			if B == "Inquisition" then
				INQbuff=true;
			end 
			
			if B == "Avenging Wrath" then
				AWbuff=true;
			end 
			
			--print(i.."="..B);
		end 
	
	end
	
	
;
	
	
	if CScd == 0 then

		--SimplePally.btn1box:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 10, -80);
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(1,1,0,1);	
		t:SetAllPoints(SimplePally.btn1);
		SimplePally.btn1:SetNormalTexture(t);
	else
		--SimplePally.btn1box:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 10, -10);
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(.3,.3,.3, .1);
		t:SetAllPoints(SimplePally.btn1);
		SimplePally.btn1:SetNormalTexture(t);
	end
	
	
	if BOJcd == 0 then

		--SimplePally.btn1box:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 10, -80);
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(1,1,0,1);	
		t:SetAllPoints(SimplePally.btn2);
		SimplePally.btn2:SetNormalTexture(t);
	else
		--SimplePally.btn1box:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 10, -10);
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(.3,.3,.3, .1);
		t:SetAllPoints(SimplePally.btn2);
		SimplePally.btn2:SetNormalTexture(t);
	end


	if TVcd == 0 and SimplePally.HOLYPWR > 2 then

		--SimplePally.btn1box:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 10, -80);
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(1,1,0,1);	
		t:SetAllPoints(SimplePally.btn3);
		SimplePally.btn3:SetNormalTexture(t);
	else
		--SimplePally.btn1box:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 10, -10);
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(.3,.3,.3, .1);
		t:SetAllPoints(SimplePally.btn3);
		SimplePally.btn3:SetNormalTexture(t);
	end


	if JUDcd == 0 then

		--SimplePally.btn1box:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 10, -80);
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(1,1,0,1);	
		t:SetAllPoints(SimplePally.btn4);
		SimplePally.btn4:SetNormalTexture(t);
	else
		--SimplePally.btn1box:SetPoint("TOPLEFT", SimplePally.UIFrame, "TOPLEFT", 10, -10);
		t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
		t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
		t:SetColorTexture(.3,.3,.3, .1);
		t:SetAllPoints(SimplePally.btn4);
		SimplePally.btn4:SetNormalTexture(t);
	end

	if INQbuff == true then
			t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
			t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
			t:SetColorTexture(.3,1,.3,.3);	
			t:SetAllPoints(SimplePally.btn6);
			SimplePally.btn6:SetNormalTexture(t);	
	else
		if INQcd == 0 and SimplePally.HOLYPWR > 2 then

			t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
			t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
			t:SetColorTexture(1,0,0,1);	
			t:SetAllPoints(SimplePally.btn6);
			SimplePally.btn6:SetNormalTexture(t);
		else
			
			t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
			t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
			t:SetColorTexture(1,.3,.3, .3);
			t:SetAllPoints(SimplePally.btn6);
			SimplePally.btn6:SetNormalTexture(t);
		end
	end

	if AWbuff then
			t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
			t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
			t:SetColorTexture(.3,1,.3,.3);	
			t:SetAllPoints(SimplePally.btn5);
			SimplePally.btn5:SetNormalTexture(t);	
	else
		if AWcd == 0 then
			t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
			t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
			t:SetColorTexture(1,0,0,1);	
			t:SetAllPoints(SimplePally.btn5);
			SimplePally.btn5:SetNormalTexture(t);
		else
			t = SimplePally.UIFrame:CreateTexture(nil,"BACKGROUND");
			t:SetTexture("Interface\\Buttons\\WHITE8X8.blp");
			t:SetColorTexture(.3,.3,.3, .1);
			t:SetAllPoints(SimplePally.btn5);
			SimplePally.btn5:SetNormalTexture(t);
		end	
	end
	
	
	
	
	
	
	
	
	
	
	
	
	
	

	
	
end 


SimplePally.EventFrame = CreateFrame("Frame");
SimplePally.EventFrame:Show();
SimplePally.EventFrame:SetScript("OnEvent", SimplePally.OnEvent);
SimplePally.EventFrame:SetScript("OnUpdate", SimplePally.OnUpdate);
SimplePally.EventFrame:RegisterEvent("ADDON_LOADED");
SimplePally.EventFrame:RegisterEvent("PLAYER_LOGIN");
SimplePally.EventFrame:RegisterEvent("PLAYER_LOGOUT");















-- BUILD INTERFACE WINDOW OBJECT





 SimplePally.panel = CreateFrame( "Frame", "SimplePallyPanel", UIParent );
 -- Register in the Interface Addon Options GUI
 -- Set the name for the Category for the Options Panel
 SimplePally.panel.name = "Simple Pally";
 -- Add the panel to the Interface Options
 InterfaceOptions_AddCategory(SimplePally.panel);
 
 -- Make a child panel
 SimplePally.childpanel = CreateFrame( "Frame", "SimplePallyChild", SimplePally.panel);
 SimplePally.childpanel.name = "Simple Pally Child";
 -- Specify childness of this panel (this puts it under the little red [+], instead of giving it a normal AddOn category)
 SimplePally.childpanel.parent = SimplePally.panel.name;
 -- Add the child to the Interface Options
 InterfaceOptions_AddCategory(SimplePally.childpanel);

-- add a label
	SimplePally.lbpaneltitle = SimplePally.panel:CreateFontString(nil, "OVERLAY");
	SimplePally.lbpaneltitle:SetPoint("CENTER", SimplePally.panel, "CENTER", 0, 0);
	--SimplePally.lbpaneltitle:SetJustifyH("RIGHT");
	SimplePally.lbpaneltitle:SetFont([[Fonts\FRIZQT__.TTF]], 12, "OUTLINE");
	SimplePally.lbpaneltitle:SetText("Simple Pally by Baztard aka Bnet: SOULCARVER was created for the purpose of killing some time and playing around with addons yeay!");
	SimplePally.lbpaneltitle:SetTextColor(1,1,1,1);
	--SimplePally.SetFontSize(SimplePally.lbpaneltitle, 30);
	--SimplePally.lbpaneltitle:SetText("0");		






